%define upstream_name    Mail-GnuPG
%define upstream_version 0.23

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Summary:    Process email with GPG
License:    GPL or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Mail/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(GnuPG::Interface)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(Module::Build)
BuildRequires: perl(MIME::Entity)
BuildRequires: perl(MIME::Parser)
BuildRequires: perl(Mail::Address)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: gnupg
BuildRequires: perl-MIME-tools
BuildArch:  noarch

%description
Use GnuPG::Interface to process or create PGP signed or encrypted email.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

export LC_ALL=C

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README SIGNATURE
%{perl_vendorlib}/Mail
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.230.0-3pclos2017
- rebuild against updates

